apiVersion: v1
kind: Pod
metadata:
  name: pod-secret
  namespace: monprojet
spec:
  containers:
  - name: mon-conteneur
    image: nginx
    env:
    - name: PASSWORD
      valueFrom:
        secretKeyRef:
          name: exemple-secret
          key: password
